<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
IGAC proyecto SNC
@author felipe.cadena

@description  página en la que se selecciona un funcionario para el trámite de depuracion

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="asignarFuncionarioPG">

    <h:form id="asignarFuncionarioForm">
        <p:ajaxStatus onstart="statusDialog.show();" onsuccess="statusDialog.hide();"
                      onerror="statusDialog.hide();"/>
        <p:spacer height="20" width="0" />
        <p:dataTable 
            var="funcionario" widgetVar="cargaEjecutoresDTWV"
            rowKey="#{funcionario.login}"
            value="#{asignarDigitalizadorTopografo.funcionarios}"
            selection="#{asignarDigitalizadorTopografo.funcionarioSelecionado}"
            selectionMode="single"
            emptyMessage="No se encontraron funcionarios">

            <f:facet name="header">
                Funcionarios disponibles
            </f:facet>

            <p:column headerText="Nombre">
                <h:outputText value="#{funcionario.nombreCompleto}" />
            </p:column>

        </p:dataTable>

        <p:spacer height="30" width="0" />

        <p:outputPanel layout="block" style="text-align: left">

            <p:commandButton value="Asignar" icon="ui-icon-person"
                             onclick="if (cargaEjecutoresDTWV.selection == '') {
                                         alert('Debe seleccionar un ejecutor!');
                                         return false;
                                     }"
                             onstart="statusDialog2.show();"
                             action="#{asignarDigitalizadorTopografo.asignarFuncionario}" id="btnAsignar"
                             update=":asignarDigitalizadorTopografoForm:resultsDT, :asignarDigitalizadorTopografoForm:dtRS"
                             oncomplete="asignacionFuncionarioWV.hide();statusDialog2.hide()" />
            <p:spacer height="0" width="5" />
            <p:commandButton value="Cerrar" onclick="asignacionFuncionarioWV.hide()" icon="ui-icon-close"/>
        </p:outputPanel>

    </h:form>
</h:panelGrid>